ru.bitel.bgbilling.modules.inet.radius

## Class InetRadiusListenerWorker

- java.lang.Object
- - ru.bitel.common.worker.WorkerTask<C>
  - - ru.bitel.bgbilling.kernel.network.processor.ProcessorRequest<RadiusListenerWorkerContext>
    - - ru.bitel.bgbilling.kernel.network.radius.RadiusListenerWorker<InetNas>
      - - ru.bitel.bgbilling.modules.inet.radius.InetRadiusListenerWorker

- Type Parameters:
    `N` -
  All Implemented Interfaces:
    java.lang.Runnable

      public class InetRadiusListenerWorker
      extends RadiusListenerWorker<InetNas>

  Когда-нибудь он будет сохранять радиус запросы в лог-файлы, по крайней мере аккаунтинг запросы...
  Чтобы их можно было переобработать.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.worker.WorkerTask

      `ru.bitel.common.worker.WorkerTask.BlockingExecutionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.apache.log4j.Logger` | `logger`
    `protected static org.apache.log4j.Logger` | `loggerUpdate`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusListenerWorker

      `accessCode, agentDevice, agentDeviceId, ipAddressSet, nas, overloadLevel, radiusSession, request, response, worker`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.network.processor.ProcessorRequest

      `clientAddress, connectionId, data, millis`

    - ### Fields inherited from class ru.bitel.common.worker.WorkerTask

      `context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetRadiusListenerWorker(RadiusListener<InetNas> listener, java.net.SocketAddress clientAddress, long millis, java.nio.ByteBuffer data, int overloadLevel)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `accessRequest(InetNas nas, RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet, java.util.Date time)`
    `protected void` | `accountingRequest(InetNas nas, RadiusPacket request, RadiusPacket response, ConnectionSet connectionSet, java.util.Date time)`
    `static InetRadiusListenerWorker` | `get()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusListenerWorker

      `accessRequest0, getAccountId, getAgentDevice, getAgentDeviceId, getCircuitId, getConext, getConnectionType, getContractId, getIpAddressSet, getRadiusSession, getRequest, getResponse, isConnectionModified, isSkip, runImpl, sendReponse, setAccountId, setAgentDevice, setAgentDeviceId, setCircuitId, setConnectionModified, setContractId, setSkip`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.network.processor.ProcessorRequest

      `send`

    - ### Methods inherited from class ru.bitel.common.worker.WorkerTask

      `newBlockingFixedThreadPool, newFixedThreadPool, newFixedThreadPool, newScheduledThreadPool, run, runSync, runSync, setContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Runnable

      `run`

- - ### Field Detail

    - #### logger

          protected static final org.apache.log4j.Logger logger

    - #### loggerUpdate

          protected static final org.apache.log4j.Logger loggerUpdate

  - ### Constructor Detail

    - #### InetRadiusListenerWorker

          public InetRadiusListenerWorker(RadiusListener<InetNas> listener,
                                          java.net.SocketAddress clientAddress,
                                          long millis,
                                          java.nio.ByteBuffer data,
                                          int overloadLevel)

  - ### Method Detail

    - #### get

          public static InetRadiusListenerWorker get()

    - #### accessRequest

          protected void accessRequest(InetNas nas,
                                       RadiusPacket request,
                                       RadiusPacket response,
                                       ConnectionSet connectionSet,
                                       java.util.Date time)
                                throws ru.bitel.bgbilling.common.BGException,
                                       java.security.InvalidKeyException,
                                       java.security.NoSuchAlgorithmException,
                                       java.io.IOException

      Overrides:
        `accessRequest` in class `RadiusListenerWorker<InetNas>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.security.InvalidKeyException`
        `java.security.NoSuchAlgorithmException`
        `java.io.IOException`

    - #### accountingRequest

          protected void accountingRequest(InetNas nas,
                                           RadiusPacket request,
                                           RadiusPacket response,
                                           ConnectionSet connectionSet,
                                           java.util.Date time)
                                    throws ru.bitel.bgbilling.common.BGException,
                                           java.security.InvalidKeyException,
                                           java.security.NoSuchAlgorithmException,
                                           java.io.IOException

      Overrides:
        `accountingRequest` in class `RadiusListenerWorker<InetNas>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.security.InvalidKeyException`
        `java.security.NoSuchAlgorithmException`
        `java.io.IOException`